#!/usr/bin/env python

"Perform a round trip with an input card, comparing the result to the original."

import codecs, vContent, os

this_dir = os.path.split(__file__)[0]
f = codecs.open(os.path.join(this_dir, "test.vcf"), encoding="utf-8")
out = codecs.open("tmp.vcf", "w", encoding="utf-8")
try:
    doc = vContent.iterparse(f)
    w = vContent.iterwrite(out)
    for name, parameters, value in doc:
        print "%r, %r, %r" % (name, parameters, value)
        w.write(name, parameters, value)
finally:
    out.close()
    f.close()

print "--------"

f = codecs.open(os.path.join(this_dir, "test.vcf"), encoding="utf-8")
f2 = codecs.open("tmp.vcf", encoding="utf-8")
try:
    doc = vContent.iterparse(f)
    doc2 = vContent.iterparse(f2)
    for (name, parameters, value), (name2, parameters2, value2) in zip(doc, doc2):
        print "%r, %r, %r" % (name, parameters, value)
        print "%r, %r, %r" % (name2, parameters2, value2)
        assert name == name2
        assert parameters == parameters2
        assert value == value2
finally:
    f2.close()
    f.close()

# vim: tabstop=4 expandtab shiftwidth=4
